diff --git a/oflog/include/dcmtk/oflog/layout.h b/oflog/include/dcmtk/oflog/layout.h
index 8a5af54..37c1c0b 100644
--- a/oflog/include/dcmtk/oflog/layout.h
+++ b/oflog/include/dcmtk/oflog/layout.h
@@ -1,10 +1,11 @@
+// -*- C++ -*-
 // Module:  Log4CPLUS
 // File:    Layout.h
 // Created: 6/2001
 // Author:  Tad E. Smith
 //
 //
-// Copyright 2001-2009 Tad E. Smith
+// Copyright 2001-2010 Tad E. Smith
 //
 // Licensed under the Apache License, Version 2.0 (the "License");
 // you may not use this file except in compliance with the License.
@@ -20,50 +21,72 @@
 
 /** @file */
 
-#ifndef DCMTK__LOG4CPLUS_LAYOUT_HEADER_
-#define DCMTK__LOG4CPLUS_LAYOUT_HEADER_
+#ifndef DCMTK_LOG4CPLUS_LAYOUT_HEADER_
+#define DCMTK_LOG4CPLUS_LAYOUT_HEADER_
 
 #include "dcmtk/oflog/config.h"
+
+#if defined (DCMTK_LOG4CPLUS_HAVE_PRAGMA_ONCE)
+#pragma once
+#endif
+
 #include "dcmtk/oflog/loglevel.h"
 #include "dcmtk/oflog/streams.h"
 #include "dcmtk/oflog/tstring.h"
-#include "dcmtk/oflog/helpers/lloguser.h"
-#include "dcmtk/oflog/helpers/property.h"
-#include "dcmtk/oflog/helpers/timehelp.h"
-#include "dcmtk/oflog/spi/logevent.h"
 
-//#include <vector>
+#include "dcmtk/ofstd/ofvector.h"
 
 
 namespace dcmtk {
 namespace log4cplus {
 
     // Forward Declarations
-    namespace pattern {
+    namespace pattern
+    {
+
         class PatternConverter;
+
+    }
+
+    
+    namespace helpers
+    {
+
+        class Properties;
+        class Time;
+
+    }
+
+
+    namespace spi
+    {
+
+        class InternalLoggingEvent;
+
     }
 
 
     /**
      * This class is used to layout strings sent to an {@link
-     * dcmtk::log4cplus::Appender}.
+     * log4cplus::Appender}.
      */
-    class DCMTK_LOG4CPLUS_EXPORT Layout : protected :: dcmtk::log4cplus::helpers::LogLogUser {
+    class DCMTK_LOG4CPLUS_EXPORT Layout
+    {
     public:
-        Layout() : llmCache(getLogLevelManager()) {}
-        Layout(const helpers::Properties&)
-          : llmCache(getLogLevelManager())  {}
-        virtual ~Layout() {}
+        Layout();
+        Layout(const helpers::Properties& properties);
+        virtual ~Layout() = 0;
+
+        virtual void formatAndAppend(log4cplus::tostream& output, 
+            const log4cplus::spi::InternalLoggingEvent& event) = 0;
 
-        virtual void formatAndAppend(tostream& output,
-                                     const spi::InternalLoggingEvent& event) = 0;
     protected:
         LogLevelManager& llmCache;
-
+        
     private:
       // Disable copy
         Layout(const Layout&);
-        Layout& operator=(Layout&);
+        Layout& operator=(Layout const &);
     };
 
 
@@ -78,15 +101,18 @@ namespace log4cplus {
      *
      * {@link PatternLayout} offers a much more powerful alternative.
      */
-    class DCMTK_LOG4CPLUS_EXPORT SimpleLayout : public Layout {
+    class DCMTK_LOG4CPLUS_EXPORT SimpleLayout
+        : public Layout
+    {
     public:
-        SimpleLayout() {}
-        SimpleLayout(const helpers::Properties& properties, tstring&) : Layout(properties) {}
+        SimpleLayout();
+        SimpleLayout(const log4cplus::helpers::Properties& properties);
+        virtual ~SimpleLayout();
 
-        virtual void formatAndAppend(tostream& output,
-                                     const spi::InternalLoggingEvent& event);
+        virtual void formatAndAppend(log4cplus::tostream& output, 
+                                     const log4cplus::spi::InternalLoggingEvent& event);
 
-    private:
+    private: 
       // Disallow copying of instances of this class
         SimpleLayout(const SimpleLayout&);
         SimpleLayout& operator=(const SimpleLayout&);
@@ -97,13 +123,13 @@ namespace log4cplus {
     /**
      * TTCC layout format consists of time, thread, Logger and nested
      * diagnostic context information, hence the name.
-     *
+     * 
      * The time format depends on the <code>DateFormat</code> used.  Use the
      * <code>Use_gmtime</code> to specify whether messages should be logged using
      * <code>localtime</code> or <code>gmtime</code>.
-     *
+     * 
      * Here is an example TTCCLayout output:
-     *
+     * 
      * <pre>
      * 176 [main] INFO  org.apache.log4j.examples.Sort - Populating an array of 2 elements in reverse order.
      * 225 [main] INFO  org.apache.log4j.examples.SortAlgo - Entered the sort method.
@@ -117,88 +143,91 @@ namespace log4cplus {
      * 346 [main] ERROR org.apache.log4j.examples.SortAlgo.DUMP - Tried to dump an uninitialized array.
      * 467 [main] INFO  org.apache.log4j.examples.Sort - Exiting main method.
      * </pre>
-     *
+     * 
      *  The first field is the number of milliseconds elapsed since the
      *  start of the program. The second field is the thread outputting the
      *  log statement. The third field is the LogLevel, the fourth field is
      *  the logger to which the statement belongs.
-     *
+     * 
      *  The fifth field (just before the '-') is the nested diagnostic
      *  context.  Note the nested diagnostic context may be empty as in the
      *  first two statements. The text after the '-' is the message of the
      *  statement.
-     *
+     * 
      *  PatternLayout offers a much more flexible alternative.
      */
-    class DCMTK_LOG4CPLUS_EXPORT TTCCLayout : public Layout {
+    class DCMTK_LOG4CPLUS_EXPORT TTCCLayout
+        : public Layout
+    {
     public:
       // Ctor and dtor
         TTCCLayout(bool use_gmtime = false);
-        TTCCLayout(const helpers::Properties& properties, tstring& error);
+        TTCCLayout(const log4cplus::helpers::Properties& properties);
         virtual ~TTCCLayout();
 
-        virtual void formatAndAppend(tostream& output,
-                                     const spi::InternalLoggingEvent& event);
+        virtual void formatAndAppend(log4cplus::tostream& output, 
+                                     const log4cplus::spi::InternalLoggingEvent& event);
 
     protected:
-       tstring dateFormat;
+       log4cplus::tstring dateFormat;
        bool use_gmtime;
-
-    private:
+     
+    private: 
       // Disallow copying of instances of this class
         TTCCLayout(const TTCCLayout&);
         TTCCLayout& operator=(const TTCCLayout&);
     };
 
 
+    DCMTK_LOG4CPLUS_EXPORT helpers::Time const & getTTCCLayoutTimeBase ();
 
 
     /**
      * A flexible layout configurable with pattern string.
-     *
-     * The goal of this class is to format a InternalLoggingEvent and return
-     * the results as a string. The results depend on the <em>conversion
+     * 
+     * The goal of this class is to format a InternalLoggingEvent and return 
+     * the results as a string. The results depend on the <em>conversion 
      * pattern</em>.
-     *
+     * 
      * The conversion pattern is closely related to the conversion
      * pattern of the printf function in C. A conversion pattern is
      * composed of literal text and format control expressions called
      * <em>conversion specifiers</em>.
-     *
+     *  
      * <i>You are free to insert any literal text within the conversion
      * pattern.</i>
-     *
+     * 
      * Each conversion specifier starts with a percent sign (%%) and is
      * followed by optional <em>format modifiers</em> and a <em>conversion
      * character</em>. The conversion character specifies the type of
      * data, e.g. Logger, LogLevel, date, thread name. The format
      * modifiers control such things as field width, padding, left and
      * right justification. The following is a simple example.
-     *
+     * 
      * Let the conversion pattern be <b>"%-5p [%t]: %m%n"</b> and assume
      * that the log4cplus environment was set to use a PatternLayout. Then the
      * statements
-     * <pre>
+     * <code><pre>
      * Logger root = Logger.getRoot();
      * DCMTK_LOG4CPLUS_DEBUG(root, "Message 1");
      * DCMTK_LOG4CPLUS_WARN(root, "Message 2");
-     * </pre>
+     * </pre></code>
      * would yield the output
-     * <pre>
+     * <tt><pre>
      * DEBUG [main]: Message 1
-     * WARN  [main]: Message 2
-     * </pre>
-     *
+     * WARN  [main]: Message 2  
+     * </pre></tt>
+     * 
      * Note that there is no explicit separator between text and
      * conversion specifiers. The pattern parser knows when it has reached
      * the end of a conversion specifier when it reads a conversion
      * character. In the example above the conversion specifier
      * <b>"%-5p"</b> means the LogLevel of the logging event should be left
      * justified to a width of five characters.
-     *
+     * 
      * The recognized conversion characters are
-     *
-     *
+     * 
+     * 
      * <table border="1" CELLPADDING="8">
      * <tr>
      * <td>Conversion Character</td>
@@ -206,31 +235,38 @@ namespace log4cplus {
      * </tr>
      *
      * <tr>
-     *   <td align=center><b>c</b></td>
+     *   <td align=center><b>b</b></td>
      *
+     *   <td>Used to output file name component of path name.
+     *   E.g. <tt>main.cxx</tt> from path <tt>../../main.cxx</tt>.</td>
+     * </tr>
+     *
+     * <tr>
+     *   <td align=center><b>c</b></td>
+     * 
      *   <td>Used to output the logger of the logging event. The
      *   logger conversion specifier can be optionally followed by
      *   <em>precision specifier</em>, that is a decimal constant in
      *   brackets.
-     *
+     * 
      *   If a precision specifier is given, then only the corresponding
      *   number of right most components of the logger name will be
      *   printed. By default the logger name is printed in full.
-     *
+     * 
      *   For example, for the logger name "a.b.c" the pattern
      *   <b>%c{2}</b> will output "b.c".
-     *
+     * 
      * </td>
      * </tr>
+     * 
+     * <tr> 
+     *   <td align=center><b>d</b></td> 
      *
-     * <tr>
-     *   <td align=center><b>d</b></td>
-     *
-     *   <td>Used to output the date of the logging event in <b>UTC</b>.
+     *   <td>Used to output the date of the logging event in <b>UTC</b>. 
      *
      *   The date conversion specifier may be followed by a <em>date format
      *   specifier</em> enclosed between braces. For example, <b>%%d{%%H:%%M:%%s}</b>
-     *   or <b>%%d{%%d&nbsp;%%b&nbsp;%%Y&nbsp;%%H:%%M:%%s}</b>.  If no date format
+     *   or <b>%%d{%%d&nbsp;%%b&nbsp;%%Y&nbsp;%%H:%%M:%%s}</b>.  If no date format 
      *   specifier is given then <b>%%d{%%d&nbsp;%%m&nbsp;%%Y&nbsp;%%H:%%M:%%s}</b>
      *   is assumed.
      *
@@ -266,9 +302,9 @@ namespace log4cplus {
      *   found in the <code>&lt;ctime&gt;</code> header for more information.
      * </td>
      * </tr>
-     *
-     * <tr>
-     *   <td align=center><b>D</b></td>
+     * 
+     * <tr> 
+     *   <td align=center><b>D</b></td> 
      *
      *   <td>Used to output the date of the logging event in <b>local</b> time.
      *
@@ -277,26 +313,17 @@ namespace log4cplus {
      * </tr>
      *
      * <tr>
-     *   <td align=center><b>f</b></td>
-     *
-     *   <td>Used to output the function name where the logging request was
-     *   issued.
-     *
-     * </tr>
-     *
-     * <tr>
      *   <td align=center><b>F</b></td>
-     *
+     * 
      *   <td>Used to output the file name where the logging request was
      *   issued.
-     *
+     * 
      *   <b>NOTE</b> Unlike log4j, there is no performance penalty for
-     *   calling this method.
-     *
+     *   calling this method.</td>
      * </tr>
-     *
-     * <tr>
-     *   <td align=center><b>h</b></td>
+     * 
+     * <tr> 
+     *   <td align=center><b>h</b></td> 
      *
      *   <td>Used to output the hostname of this system (as returned
      *   by gethostname(2)).
@@ -306,9 +333,9 @@ namespace log4cplus {
      *
      * </td>
      * </tr>
-     *
-     * <tr>
-     *   <td align=center><b>H</b></td>
+     * 
+     * <tr> 
+     *   <td align=center><b>H</b></td> 
      *
      *   <td>Used to output the fully-qualified domain name of this
      *   system (as returned by gethostbyname(2) for the hostname
@@ -319,64 +346,82 @@ namespace log4cplus {
      *
      * </td>
      * </tr>
-     *
+     * 
      * <tr>
      * <td align=center><b>l</b></td>
-     *
+     * 
      *   <td>Equivalent to using "%F:%L"
-     *
+     * 
      *   <b>NOTE:</b> Unlike log4j, there is no performance penalty for
      *   calling this method.
-     *
+     * 
      * </td>
      * </tr>
-     *
+     * 
      * <tr>
      *   <td align=center><b>L</b></td>
-     *
+     * 
      *   <td>Used to output the line number from where the logging request
      *   was issued.
-     *
+     * 
      *   <b>NOTE:</b> Unlike log4j, there is no performance penalty for
      *   calling this method.
-     *
+     * 
      * </tr>
      *
-     *
      * <tr>
      *   <td align=center><b>m</b></td>
-     *   <td>Used to output the application supplied message associated with
-     *   the logging event.</td>
+     *   <td>Used to output the application supplied message associated with 
+     *   the logging event.</td>   
      * </tr>
      *
      * <tr>
-     *   <td align=center><b>n</b></td>
+     *   <td align=center><b>M</b></td>
+     *
+     *   <td>Used to output function name using
+     *   <code>__FUNCTION__</code> or similar macro.
      *
+     *   <b>NOTE</b> The <code>__FUNCTION__</code> macro is not
+     *   standard but it is common extension provided by all compilers
+     *   (as of 2010). In case it is missing or in case this feature
+     *   is disabled using the
+     *   <code>DCMTK_LOG4CPLUS_DISABLE_FUNCTION_MACRO</code> macro, %M
+     *   expands to an empty string.</td>
+     * </tr>
+     * 
+     * <tr>
+     *   <td align=center><b>n</b></td>
+     *   
      *   <td>Outputs the platform dependent line separator character or
-     *   characters.
+     *   characters. 
      * </tr>
-     *
+     * 
      * <tr>
      *   <td align=center><b>p</b></td>
      *   <td>Used to output the LogLevel of the logging event.</td>
      * </tr>
      *
      * <tr>
-     *   <td align=center><b>P</b></td>
-     *
-     *   <td>Used to output the first character of the LogLevel only.
-     *      <b>NOTE:</b> This pattern has been added to log4cplus.
-     *    </td>
+     *   <td align=center><b>r</b></td>
+     *   <td>Used to output miliseconds since program start
+     *   of the logging event.</td>
      * </tr>
-     *
+     * 
      * <tr>
      *   <td align=center><b>t</b></td>
-     *
+     * 
      *   <td>Used to output the name of the thread that generated the
      *   logging event.</td>
      * </tr>
      *
      * <tr>
+     *   <td align=center><b>T</b></td>
+     * 
+     *   <td>Used to output alternative name of the thread that generated the
+     *   logging event.</td>
+     * </tr>
+     *
+     * <tr>
      *   <td align=center><b>i</b></td>
      *
      *   <td>Used to output the process ID of the process that generated the
@@ -384,29 +429,28 @@ namespace log4cplus {
      * </tr>
      *
      * <tr>
-     *
      *   <td align=center><b>x</b></td>
-     *
+     * 
      *   <td>Used to output the NDC (nested diagnostic context) associated
      *   with the thread that generated the logging event.
-     *   </td>
+     *   </td>     
      * </tr>
      *
      * <tr>
      *   <td align=center><b>"%%"</b></td>
      *   <td>The sequence "%%" outputs a single percent sign.
-     *   </td>
+     *   </td>     
      * </tr>
-     *
+     *  
      * </table>
-     *
+     * 
      * By default the relevant information is output as is. However,
      * with the aid of format modifiers it is possible to change the
      * minimum field width, the maximum field width and justification.
-     *
+     * 
      * The optional format modifier is placed between the percent sign
      * and the conversion character.
-     *
+     * 
      * The first optional format modifier is the <em>left justification
      * flag</em> which is just the minus (-) character. Then comes the
      * optional <em>minimum field width</em> modifier. This is a decimal
@@ -418,7 +462,7 @@ namespace log4cplus {
      * padding character is space. If the data item is larger than the
      * minimum field width, the field is expanded to accommodate the
      * data. The value is never truncated.
-     *
+     * 
      * This behavior can be changed using the <em>maximum field
      * width</em> modifier which is designated by a period followed by a
      * decimal constant. If the data item is longer than the maximum
@@ -428,11 +472,11 @@ namespace log4cplus {
      * ten characters long, then the first two characters of the data item
      * are dropped. This behavior deviates from the printf function in C
      * where truncation is done from the end.
-     *
+     * 
      * Below are various format modifier examples for the logger
      * conversion specifier.
-     *
-     *
+     * 
+     * 
      * <TABLE BORDER=1 CELLPADDING=8>
      * <tr>
      * <td>Format modifier</td>
@@ -447,90 +491,91 @@ namespace log4cplus {
      * <td align=center>false</td>
      * <td align=center>20</td>
      * <td align=center>none</td>
-     *
+     * 
      * <td>Left pad with spaces if the logger name is less than 20
      * characters long.
      * </tr>
-     *
+     * 
      * <tr> <td align=center>%-20c</td> <td align=center>true</td> <td
      * align=center>20</td> <td align=center>none</td> <td>Right pad with
      * spaces if the logger name is less than 20 characters long.
      * </tr>
-     *
+     * 
      * <tr>
      * <td align=center>%.30c</td>
      * <td align=center>NA</td>
      * <td align=center>none</td>
      * <td align=center>30</td>
-     *
+     * 
      * <td>Truncate from the beginning if the logger name is longer than 30
      * characters.
      * </tr>
-     *
+     * 
      * <tr>
      * <td align=center>%20.30c</td>
      * <td align=center>false</td>
      * <td align=center>20</td>
      * <td align=center>30</td>
-     *
+     * 
      * <td>Left pad with spaces if the logger name is shorter than 20
      * characters. However, if logger name is longer than 30 characters,
-     * then truncate from the beginning.
+     * then truncate from the beginning.   
      * </tr>
-     *
+     * 
      * <tr>
      * <td align=center>%-20.30c</td>
      * <td align=center>true</td>
      * <td align=center>20</td>
      * <td align=center>30</td>
-     *
+     *  
      * <td>Right pad with spaces if the logger name is shorter than 20
      * characters. However, if logger name is longer than 30 characters,
-     * then truncate from the beginning.
+     * then truncate from the beginning.   
      * </tr>
-     *
+     * 
      * </table>
-     *
+     * 
      * Below are some examples of conversion patterns.
-     *
+     * 
      * <dl>
-     *
-     * <dt><b>"%r [%t] %-5p %c %x - %m%n"</b>
+     * 
+     * <dt><b>"%r [%t] %-5p %c %x - %m%n"</b> 
      * <dd>This is essentially the TTCC layout.
-     *
+     * 
      * <dt><b>"%-6r [%15.15t] %-5p %30.30c %x - %m%n"</b>
-     *
+     * 
      * <dd>Similar to the TTCC layout except that the relative time is
      * right padded if less than 6 digits, thread name is right padded if
      * less than 15 characters and truncated if longer and the logger
      * name is left padded if shorter than 30 characters and truncated if
      * longer.
-     *
+     *  
      * </dl>
-     *
+     * 
      * The above text is largely inspired from Peter A. Darnell and
      * Philip E. Margolis' highly recommended book "C -- a Software
      * Engineering Approach", ISBN 0-387-97389-3.
      */
-    class DCMTK_LOG4CPLUS_EXPORT PatternLayout : public Layout {
+    class DCMTK_LOG4CPLUS_EXPORT PatternLayout
+        : public Layout
+    {
     public:
       // Ctors and dtor
-        PatternLayout(const tstring& pattern, bool formatEachLine = true);
-        PatternLayout(const helpers::Properties& properties, tstring& error);
+        PatternLayout(const log4cplus::tstring& pattern);
+        PatternLayout(const log4cplus::helpers::Properties& properties);
         virtual ~PatternLayout();
 
-        virtual void formatAndAppend(tostream& output,
-                                     const spi::InternalLoggingEvent& event);
+        virtual void formatAndAppend(log4cplus::tostream& output, 
+                                     const log4cplus::spi::InternalLoggingEvent& event);
 
     protected:
-        void init(const tstring& pattern, bool formatEachLine);
+        void init(const log4cplus::tstring& pattern, unsigned ndcMaxDepth = 0);
 
       // Data
-        tstring pattern;
-        bool formatEachLine;
-        OFauto_ptr<OFList<pattern::PatternConverter*> > parsedPattern;
+        log4cplus::tstring pattern;
+        OFVector<pattern::PatternConverter*> parsedPattern;
 
-    private:
+    private: 
       // Disallow copying of instances of this class
         PatternLayout(const PatternLayout&);
         PatternLayout& operator=(const PatternLayout&);
@@ -541,5 +586,5 @@ namespace log4cplus {
 } // end namespace log4cplus
 } // end namespace dcmtk
 
-#endif // DCMTK__LOG4CPLUS_LAYOUT_HEADER_
+#endif // DCMTK_LOG4CPLUS_LAYOUT_HEADER_
 
diff --git a/oflog/include/dcmtk/oflog/log4judp.h b/oflog/include/dcmtk/oflog/log4judp.h
new file mode 100644
index 0000000..97264b0
--- /dev/null
+++ b/oflog/include/dcmtk/oflog/log4judp.h
@@ -0,0 +1,91 @@
+// -*- C++ -*-
+// Module:  LOG4CPLUS
+// File:    log4judp.h
+// Created: 7/2012
+// Author:  Siva Chandran P
+//
+//
+// Copyright 2012 Siva Chandran P
+//
+// Licensed under the Apache License, Version 2.0 (the "License");
+// you may not use this file except in compliance with the License.
+// You may obtain a copy of the License at
+//
+//     http://www.apache.org/licenses/LICENSE-2.0
+//
+// Unless required by applicable law or agreed to in writing, software
+// distributed under the License is distributed on an "AS IS" BASIS,
+// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+// See the License for the specific language governing permissions and
+// limitations under the License.
+
+/** @file */
+
+#ifndef DCMTK_LOG4CPLUS_LOG4J_UDP_APPENDER_HEADER_
+#define DCMTK_LOG4CPLUS_LOG4J_UDP_APPENDER_HEADER_
+
+#include "dcmtk/oflog/config.h"
+#include "dcmtk/oflog/appender.h"
+#include "dcmtk/oflog/helpers/socket.h"
+
+namespace dcmtk {
+namespace log4cplus {
+
+    /**
+     * Sends log events as Log4j XML to a remote a log server.
+     *
+     * The Log4jUdpAppender has the following properties:
+     *
+     * <ul>
+     *
+     *   <li>Remote logging is non-intrusive as far as the log event
+     *   is concerned. In other words, the event will be logged with
+     *   the same time stamp, NDC, location info as if it were logged
+     *   locally by the client.</li>
+     *
+     *   <li>Log4jUdpAppender do not use a layout.</li>
+     *
+     *   <li>Remote logging uses the UDP protocol.</li>
+     * </ul>
+     *
+     * <h3>Properties</h3>
+     * <dl>
+     * <dt><tt>host</tt></dt>
+     * <dd>Remote host name to connect and send events to.</dd>
+     *
+     * <dt><tt>port</tt></dt>
+     * <dd>Port on remote host to send events to.</dd>
+     *
+     * </dl>
+     */
+    class DCMTK_LOG4CPLUS_EXPORT Log4jUdpAppender : public Appender {
+    public:
+      // Ctors
+        Log4jUdpAppender(const log4cplus::tstring& host, int port);
+        Log4jUdpAppender(const log4cplus::helpers::Properties & properties);
+
+      // Dtor
+        ~Log4jUdpAppender();
+
+      // Methods
+        virtual void close();
+
+    protected:
+        void openSocket();
+        virtual void append(const spi::InternalLoggingEvent& event);
+
+      // Data
+        log4cplus::helpers::Socket socket;
+        log4cplus::tstring host;
+        int port;
+
+    private:
+      // Disallow copying of instances of this class
+        Log4jUdpAppender(const Log4jUdpAppender&);
+        Log4jUdpAppender& operator=(const Log4jUdpAppender&);
+    };
+} // end namespace log4cplus
+} // end namespace dcmtk
+
+#endif // DCMTK_LOG4CPLUS_LOG4J_UDP_APPENDER_HEADER_
+
